List notes for a person

Path Parameters
  • personId
    Type: stringFormat: uuid
    required
Query Parameters
  • limit
    Type: integer
    min:  
    1
    max:  
    100

    Integer numbers.

  • offset
    Type: integer
    min:  
    0

    Integer numbers.

Responses
  • application/json
  • application/json
  • application/json
Request Example for get/api/people/{personId}/notes
curl 'https://beta-api.introzy.com/api/people/123e4567-e89b-12d3-a456-426614174000/notes?limit=50&offset=0' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "success": true,
  "data": {
    "notes": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "content": "Had a great call with [@John Doe](person:uuid). Follow up next week.",
        "entityType": "USER",
        "entityId": "123e4567-e89b-12d3-a456-426614174000",
        "dealId": null,
        "createdByUserId": "123e4567-e89b-12d3-a456-426614174000",
        "organizationId": "123e4567-e89b-12d3-a456-426614174000",
        "createdAt": "2026-05-20T14:22:03.058Z",
        "updatedAt": "2026-05-20T14:22:03.058Z",
        "notePeople": [
          {
            "personId": "123e4567-e89b-12d3-a456-426614174000",
            "person": {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "firstName": "string",
              "lastName": "string",
              "email": "string"
            }
          }
        ],
        "noteCompanies": [
          {
            "companyId": "123e4567-e89b-12d3-a456-426614174000",
            "company": {
              "id": "123e4567-e89b-12d3-a456-426614174000",
              "name": "string"
            }
          }
        ]
      }
    ],
    "total": 1,
    "limit": 1,
    "offset": 1,
    "hasMore": true
  }
}